Bug 1799131 - R-msm: FTBFS in Fedora rawhide/f32
Summary: R-msm: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: R-msm
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denis Arnaud
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 15:53 UTC by Fedora Release Engineering
Modified: 2020-07-15 01:11 UTC (History)
1 user (show)

Fixed In Version: R-msm-1.6.8-3.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-15 01:11:38 UTC
Type: ---


Attachments (Terms of Use)
build.log (7.34 KB, text/plain)
2020-02-06 15:53 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-02-06 15:53 UTC, Fedora Release Engineering
no flags Details
state.log (960 bytes, text/plain)
2020-02-06 15:53 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 15:53:20 UTC
R-msm failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41315581


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix R-msm at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
R-msm will be orphaned. Before branching of Fedora 33,
R-msm will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 15:53:25 UTC
Created attachment 1658357 [details]
build.log

Comment 2 Fedora Release Engineering 2020-02-06 15:53:29 UTC
Created attachment 1658358 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 15:53:30 UTC
Created attachment 1658359 [details]
state.log

Comment 4 Ben Cotton 2020-02-11 17:16:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 5 Fedora Release Engineering 2020-02-16 04:27:40 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 6 Denis Arnaud 2020-02-16 17:54:12 UTC
Fixed the build on:
- Fedora 32: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1e54200c93
- Fedora Rawhide/33: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3489d3fad2

Comment 7 Fedora Update System 2020-07-08 08:07:45 UTC
FEDORA-2020-4c0ce71810 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4c0ce71810

Comment 8 Fedora Update System 2020-07-10 01:42:09 UTC
FEDORA-2020-4c0ce71810 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-4c0ce71810`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4c0ce71810

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-07-15 01:11:38 UTC
FEDORA-2020-4c0ce71810 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.